LibreOffice: osl Namespace Reference

LibreOffice LibreOffice 7.5 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions | Variables
osl Namespace Reference

## Classes
class | AcceptorSocket
| Allows to accept socket connections. More...
class | ClearableGuard
| Object lifetime scoped mutex object or interface lock with unlock. More...
class | Condition
| Condition variable. More...
class | ConnectorSocket
class | DatagramSocket
| A connectionless socket to send and receive datagrams. More...
class | Directory
| The directory class object provides an enumeration of DirectoryItems. More...
class | DirectoryCreationObserver
| Base class for observers of directory creation notifications. More...
class | DirectoryItem
| The directory item class object provides access to file status information. More...
class | File
| The file class object provides access to file contents and attributes. More...
class | FileBase
| Base class for all File System specific objects. More...
class | FileStatus
| The FileStatus class. More...
class | GetGlobalMutex
| A helper functor for the rtl_Instance template. More...
class | Guard
| Object lifetime scoped mutex object or interface lock. More...
class | Module
class | Mutex
| A mutual exclusion synchronization object. More...
class | Pipe
| Represents a pipe. More...
class | Profile
| Deprecated API. More...
class | ResettableGuard
| Template for temporary releasable mutex objects and interfaces locks. More...
class | Security
| Encapsulate security information for one user. More...
class | Socket
class | SocketAddr
| The class should be understood as a reference to a socket address handle (struct sockaddr). More...
class | StreamPipe
| A pipe to send or receive a stream of data. More...
class | StreamSocket
class | Thread
| A thread abstraction. More...
class | ThreadData
class | VolumeDevice
| The VolumeDevice class. More...
class | VolumeInfo
| The VolumeInfo class. More...

## Typedefs
typedef Guard< Mutex > | MutexGuard
typedef ClearableGuard< Mutex > | ClearableMutexGuard
typedef ResettableGuard< Mutex > | ResettableMutexGuard
typedef oslProfileOption | ProfileOption

## Enumerations
enum | __osl_socket_NoCopy { SAL_NO_COPY }

## Functions
void | onDirectoryCreated (void *pData, rtl_uString *aDirectoryUrl)
void | threadFunc (void *param)
| threadFunc is the function which is executed by the threads created by the osl::Thread class.

## Variables
const int | Profile_DEFAULT = osl_Profile_DEFAULT
const int | Profile_SYSTEM = osl_Profile_SYSTEM
const int | Profile_READLOCK = osl_Profile_READLOCK
const int | Profile_WRITELOCK = osl_Profile_WRITELOCK

## Typedef Documentation

## ◆ ClearableMutexGuard

typedef ClearableGuard<Mutex> osl::ClearableMutexGuard

## ◆ MutexGuard

typedef Guard<Mutex> osl::MutexGuard

## ◆ ProfileOption

typedef oslProfileOption osl::ProfileOption

## ◆ ResettableMutexGuard

typedef ResettableGuard< Mutex > osl::ResettableMutexGuard

## Enumeration Type Documentation

## ◆ __osl_socket_NoCopy

enum osl::__osl_socket_NoCopy

Enumerator
SAL_NO_COPY |

## Function Documentation

## ◆ onDirectoryCreated()

void osl::onDirectoryCreated | ( | void * | pData,
|  | rtl_uString * | aDirectoryUrl
| ) |  |
| inline

## ◆ threadFunc()

void osl::threadFunc | ( | void * | param | ) |
| inline

threadFunc is the function which is executed by the threads created by the osl::Thread class.

The thread functions calls the protected functions run and onTerminated.

The function's signature matches the one of oslWorkerFunction which is declared in osl/thread.h

## Variable Documentation

## ◆ Profile_DEFAULT

const int osl::Profile_DEFAULT = osl_Profile_DEFAULT

## ◆ Profile_READLOCK

const int osl::Profile_READLOCK = osl_Profile_READLOCK

## ◆ Profile_SYSTEM

const int osl::Profile_SYSTEM = osl_Profile_SYSTEM

## ◆ Profile_WRITELOCK

const int osl::Profile_WRITELOCK = osl_Profile_WRITELOCK